View Single Post
  #6  
Old 26th May 2007, 13:56
andrewa andrewa is offline
Junior Member
 
Join Date: May 2007
Posts: 5
Thanks: 0
Thanked 0 Times in 0 Posts
Default Compiler incompatibility issue

Thanks for the location command! Compilation is done. Still there is a problem, presumably with compiler versions. Perhaps same version, which had been used for the kernel, should be installed now. Below is the end of the Nvidia driver install.log file. Can You give further instructions? Maybe best way out is to use a linux-friendly video card!
Andrew

NVIDIA: left KBUILD.
-> done.
-> Kernel module compilation complete.
ERROR: Unable to load the kernel module 'nvidia.ko'. This happens most
frequently when this kernel module was built against the wrong or
improperly configured kernel sources, with a version of gcc that differs
from the one used to build the target kernel, or if a driver such as
rivafb/nvidiafb is present and prevents the NVIDIA kernel module from
obtaining ownership of the NVIDIA graphics device(s).

Please see the log entries 'Kernel module load error' and 'Kernel
messages' at the end of the file '/var/log/nvidia-installer.log' for
more information.
-> Kernel module load error: insmod: error inserting './usr/src/nv/nvidia.ko':
-1 Invalid module format
-> Kernel messages:
Bluetooth: Core ver 2.11
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
Bluetooth: HIDP (Human Interface Emulation) ver 1.1
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
eth0: no IPv6 routers present
audit(1180180908.522:4): enforcing=0 old_enforcing=1 auid=4294967295
audit(1180180908.523:5): user pid=2501 uid=81 auid=4294967295
subj=system_u:system_r:system_dbusd_t:s0 msg='avc: received setenforce
notice (enforcing=0)
: exe="?" (sauid=81, hostname=?, addr=?, terminal=?)'
nvidia: version magic '2.6.20-1.2948.fc6 SMP mod_unload 686 4KSTACKS '
should be '2.6.20-1.2948.fc6 SMP mod_unload 586 4KSTACKS '
audit(1180182110.308:6): enforcing=1 old_enforcing=0 auid=4294967295
audit(1180182110.313:7): user pid=2501 uid=81 auid=4294967295
subj=system_u:system_r:system_dbusd_t:s0 msg='avc: received setenforce
notice (enforcing=1)
: exe="?" (sauid=81, hostname=?, addr=?, terminal=?)'
audit(1180182115.173:8): enforcing=0 old_enforcing=1 auid=4294967295
audit(1180182115.174:9): user pid=2501 uid=81 auid=4294967295
subj=system_u:system_r:system_dbusd_t:s0 msg='avc: received setenforce
notice (enforcing=0)
: exe="?" (sauid=81, hostname=?, addr=?, terminal=?)'
nvidia: version magic '2.6.20-1.2948.fc6 SMP mod_unload 686 4KSTACKS '
should be '2.6.20-1.2948.fc6 SMP mod_unload 586 4KSTACKS '
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.
Reply With Quote